Advanced search  

News:

cpg1.5.48 Security release - upgrade mandatory!
The Coppermine development team is releasing a security update for Coppermine in order to counter a recently discovered vulnerability. It is important that all users who run version cpg1.5.46 or older update to this latest version as soon as possible.
[more]

Pages: [1]   Go Down

Author Topic: Problem installing the modpack  (Read 4287 times)

0 Members and 1 Guest are viewing this topic.

solostation

  • Coppermine newbie
  • Offline Offline
  • Posts: 2
Problem installing the modpack
« on: June 16, 2007, 01:20:47 am »

I tried installing the modpack ... got some error, so I decided to reinstall CPG (V. 1.4.9 using Fantastico then upgraded it it to 1.4.10) and then uploaded the modpack again. After that I run phpMyAdmin to insert as peer your instruction and I got this error message from mySQL: -

Quote
Error
SQL query:

CREATE TABLE `cpg_buddy` (

`id` int( 11 ) NOT NULL AUTO_INCREMENT ,
`user_id` int( 11 ) NOT NULL default '',
`buddy_id` int( 11 ) NOT NULL default '',
`buddy_ok` enum( 'YES', 'NO' ) NOT NULL default 'NO',
`buddy_block` enum( 'YES', 'NO' ) NOT NULL default 'NO',
`since` int( 11 ) NOT NULL default '',
PRIMARY KEY ( `id` , `user_id` )
)#################### new for mod pack version 1.3.5-3 #######################
#online stats
CREATE TABLE cpg_online(
user_id int( 11 ) NOT NULL default '0',
user_ip tinytext NOT NULL ,
last_action datetime default NULL ,
PRIMARY KEY ( user_id, user_ip( 15 ) )
) TYPE = MYISAM ;



MySQL said: 

#1064 - You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'CREATE TABLE cpg_online (
  user_id int(11) NOT NULL default '0',
  user_ip ti' at line 12

Is there anything wrong? I don't know because the CPG seems to be running (I am yet to upload any pictures) ... Please help. Thanks

My site: http://solostation.com/pix/
Logged

Stramm

  • Moderator
  • Coppermine addict
  • ****
  • Country: 00
  • Offline Offline
  • Gender: Male
  • Posts: 6006
    • Bettis Wollwelt
Re: Problem installing the modpack
« Reply #1 on: June 16, 2007, 07:39:01 am »

just try to follow the install instructions in the announcement thread
Quote
Installation:
Before you do anything make a backup of your files and your database!!!!!!
Unpack and upload the files in the archive. Keep the folder structure intact. Then run update.php .... done (you'll get a fatal error if you open the index without running update.php)
http://forum.coppermine-gallery.net/index.php?topic=28367

update.php is located in your CPG root dir

solostation

  • Coppermine newbie
  • Offline Offline
  • Posts: 2
Re: Problem installing the modpack
« Reply #2 on: June 18, 2007, 05:14:14 pm »

OK, I take it as there is no need to run the SQL at all ... This is what I have just done:-

1. Installed 1.4.9 (with Fantastico)
2. Upgrade to 1.4.10
3. Uploaded your Modpack
4. Run update.php

Everything seems OK except the versionsheck.php wouldn't run ... Is this okay (that the versionsheck.php wouldn't run)? Or must I still run the SQL?
Logged

Stramm

  • Moderator
  • Coppermine addict
  • ****
  • Country: 00
  • Offline Offline
  • Gender: Male
  • Posts: 6006
    • Bettis Wollwelt
Re: Problem installing the modpack
« Reply #3 on: June 18, 2007, 07:40:12 pm »

If you have problems with versioncheck then this most likely isn't related to the modpack at all. Search the board for the reason (usually apache/ php config).
Pages: [1]   Go Up
 

Page created in 0.021 seconds with 20 queries.